class CommentsController < ApplicationController
  def create
    @task = Task.find params[:id]
    @comment = Comment.new comment: params[:comment], task: @task, user_id: session[:user]
    @comment.save
    respond_to do |format|
      format.html { redirect_to :controller=>'tasks', :action => 'show', :id=> @task.id}
      format.js
    end
  end
  
  def destroy
    comment = Comment.find params[:id]
    comment.destroy
    respond_to do |format|
      format.html { redirect_to :controller=>'tasks', :action => 'show', :id=> params[:tid]}
      format.js { render :nothing => true }
    end
  end
  
  def upload
    if !session[:user].nil?
      if !params[:file].nil?
        Comment.save_file params[:file], params[:id], session[:user]
        redirect_to :back
      else
        redirect_to :controller=>'tasks', :action => :index
      end
    else
      redirect_to :controller=>'tasks', :action => :index
    end
  end
  
  def download
    c = Comment.find params[:id]
    file = Rails.root.join("public", "data", c.filename)
    send_file file, :disposition => :attachment, :type => c.mime
  end
end
