require 'test_helper'

class SessionsControllerTest < ActionController::TestCase
  setup do
    @request.env['HTTP_REFERER']='/say/hello'
  end

  test "should get create" do
    post :create, { :username=>users(:me).username, :password=>'titok'}
    assert_response :redirect
    assert_not_nil session[:user]
  end

  test "should get destroy" do
    get :destroy, nil, { :user => users(:me).id }
    assert_response :redirect
    assert_nil session[:user]
  end

end
