require 'test_helper'

class UploadKoszosSarokTest < ActionDispatch::IntegrationTest
  fixtures :all
  test "upload picture" do
    get url_for(:controller=>'tasks', :action => :index)
    assert_response :success
    assert_select 'label', "Username"
    
    post_via_redirect '/sessions/create', {:username=>users(:me).username, :password=>'titok'}, 
      { 'HTTP_REFERER'=>'/say/hello' }
    assert_equal session[:user], users(:me).id
    
    
    get task_url(tasks(:two))
    assert_response :success
    
    upload_file = fixture_file_upload('test/fixtures/files/html_dom.png','image/png')
    post url_for(:controller=>'comments', :action=>'upload', :id=>tasks(:two).id), 
      {
        file: upload_file
      },
      { 'HTTP_REFERER'=>'/say/hello' }
    c = Comment.where(task_id: tasks(:two).id, user_id: users(:me).id)
    assert_not_nil c
    #assert_equal c.filename, 'html_dom.png'
    assert File.exists?('public/data/html_dom.png')
  end 
end
