class Comment < ActiveRecord::Base
  belongs_to :user
  belongs_to :task
  
  def self.save_file(upload, task_id, user_id)
    dir = Rails.root.join("public", "data")
    if !File.exists? dir
      Dir.mkdir dir
    end
    fname = File.basename(upload.original_filename)
    #fname.gsub!(/^\w\.\_/"_"/)
    path = File.join(dir, fname)
    File.open(path, "wb") do |f| f.write(upload.read) end
    c = Comment.new
    c.user_id = user_id
    c.task_id = task_id
    c.filename = fname
    c.mime = upload.content_type
    c.save
  end
end
